## node-chance 2.2.6+dfsg

=== Makefile ===
build:
	tsc -b packages/mersenne-twister packages/core packages/bool

## node-chance 1.1.7+dfsg

=== debian/changelog ===
node-chance (1.1.7+dfsg-2) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.5.1
  * Enable upstream test using jest instead of ava
  * Apply multi-arch hints (foreign)

 -- Xavier Guimard <yadd@debian.org>  Fri, 27 Nov 2020 13:43:38 +0100

node-chance (1.1.7+dfsg-1) unstable; urgency=low

  [ Jobin J, Xavier Gguimard ]
  * Initial release (Closes: #974427)

 -- Jobin J <jobinjofficial@gmail.com>  Thu, 12 Nov 2020 09:47:25 +0100

=== debian/control ===
Source: node-chance
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jobin J <jobinjofficial@gmail.com>
Testsuite: autopkgtest-pkg-nodejs
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , jest <!nocheck>
 , uglifyjs.terser
Standards-Version: 4.5.1
Homepage: https://chancejs.com
Vcs-Git: https://salsa.debian.org/js-team/node-chance.git
Vcs-Browser: https://salsa.debian.org/js-team/node-chance
Rules-Requires-Root: no

Package: node-chance
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Utility library to generate anything random
 Chance is a minimalist generator of random strings, numbers, etc.
 to help reduce some monotony particularly while writing automated
 tests or anywhere else you need anything random.
 .
 Node.js is an event-based server-side JavaScript engine.

## node-chance 2.2.6+dfsg

=== debian/changelog ===
node-chance (2.2.6+dfsg-6) unstable; urgency=medium

  * Team upload
  * Fix patch description
  * Fix lintian overrides

 -- Yadd <yadd@debian.org>  Mon, 19 Sep 2022 18:31:31 +0200

node-chance (2.2.6+dfsg-5) unstable; urgency=medium

  * Team upload
  * Don't build test files

 -- Yadd <yadd@debian.org>  Mon, 19 Sep 2022 18:01:57 +0200

node-chance (2.2.6+dfsg-4) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.6.1
  * Use auto lerna detection
  * Build components with tsc

 -- Yadd <yadd@debian.org>  Tue, 07 Jun 2022 16:50:41 +0200

node-chance (2.2.6+dfsg-3) unstable; urgency=medium

  * team upload

  * use and build-depend on terser (not uglifyjs.terser)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 02 Dec 2021 19:48:42 +0100

node-chance (2.2.6+dfsg-2) unstable; urgency=medium

  * Team upload
  * Update standards version to 4.6.0, no changes needed.
  * Fix debian/watch
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Mon, 29 Nov 2021 22:01:54 +0100

node-chance (2.2.6+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.2.6+dfsg
  * Refresh patch
  * Install packages/* components
  * Update test
  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Thu, 07 Jan 2021 08:58:58 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,12 @@
 Uploaders: Jobin J <jobinjofficial@gmail.com>
 Testsuite: autopkgtest-pkg-nodejs
 Build-Depends: debhelper-compat (= 13)
- , dh-sequence-nodejs
+ , dh-sequence-nodejs (>= 0.12.7~)
+ , ava
  , jest <!nocheck>
- , uglifyjs.terser
-Standards-Version: 4.5.1
+ , node-typescript
+ , terser
+Standards-Version: 4.6.1
 Homepage: https://chancejs.com
 Vcs-Git: https://salsa.debian.org/js-team/node-chance.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-chance
@@ -18,6 +20,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Multi-Arch: foreign
+Provides: ${nodejs:Provides}
 Description: Utility library to generate anything random
  Chance is a minimalist generator of random strings, numbers, etc.
  to help reduce some monotony particularly while writing automated

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
repacksuffix=+dfsg,\
repack,compression=xz,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-chance-$1/ \
 https://github.com/chancejs/chancejs/tags .*/archive/.*/v?([\d\.]+)@ARCHIVE_EXT@
